package cn.hnthyy.thmz.service.his.mz;

import cn.hnthyy.thmz.entity.MzException;
import cn.hnthyy.thmz.entity.his.mz.MzDrugWin;
import cn.hnthyy.thmz.pageDto.MzDrugWinPageDto;
import cn.hnthyy.thmz.vo.MzDrugWinVo;

import java.util.List;


public interface MzDrugWinService {
    /**
     * 根据发药窗口类型查询开放中的且排队人数最少的发药窗口窗口
     * @param groupNo
     * @return
     */
    MzDrugWin queryMinMzDrugWin(String groupNo) throws MzException;

    /**
     * 按照组号与窗口号查询窗口名称
     * @param groupNo
     * @param winNo
     * @return
     */
    MzDrugWin queryMzDrugWinByGroupNoAndWinNo(String groupNo,String winNo);

    /**
     * 分页查询发药窗口列表
     *
     * @param mzDrugWinPageDto 发药窗口库查询条件
     * @return
     */
    List<MzDrugWinVo> queryMzDrugWinPage(MzDrugWinPageDto mzDrugWinPageDto);


    /**
     * 统计发药窗口
     *
     * @param mzDrugWin 发药窗口库查询条件
     * @return
     */
    int countMzDrugWin(MzDrugWin mzDrugWin);

    /**
     * 保存发药窗口字典
     * @param mzDrugWinVo
     * @return
     */
    int saveMzDrugWin(MzDrugWinVo mzDrugWinVo);

    /**
     * 删除发药窗口
     * @return
     */
    int removeByGroupNoWinNo(String groupNo,String winNo);
}
